#include "StdAfx.h"
#include "SendMemoController.h"
#include "MemoSendDlg.h"
#include "FileUploadController.h"

SendMemoController::SendMemoController(CMemoSendDlg *pSendDialog)
: m_pSendDialog(pSendDialog)
, m_pFileUploadController(new FileUploadController(pSendDialog, this))
{
}

SendMemoController::~SendMemoController(void)
{
	delete m_pFileUploadController;
}

void SendMemoController::EnableSend()
{
	m_pSendDialog->EnableSend();
}

void SendMemoController::DisableSend()
{
	m_pSendDialog->DisableSend();
}

void SendMemoController::UploadFile(const CString& strFile)
{

	m_pFileUploadController->Upload(strFile);
}

const std::wstring SendMemoController::GetFileAttachID()
{
	return m_pFileUploadController->GetFileAttachID();
}

bool SendMemoController::Delete( int serverIndex, trid_t *ptrid )
{
//	GT_FLOG(L"delete sendmemocontroller %d", serverIndex);
	return m_pFileUploadController->Delete(serverIndex, ptrid);
}

void SendMemoController::UploadComplete( int index )
{
	NTALK_LOG->Debug(L"[NOTE] UploadComplete %d",index);

	if (m_pFileUploadController->StartNextThread(index) == false)
	{
		EnableSend();
	}
}

int SendMemoController::GetFileAttachIndex()
{

	return m_pFileUploadController->GetFileAttachIndex();
}

void SendMemoController::SetFileAttachIndex( int index )
{

	m_pFileUploadController->SetFileAttachIndex(index);
}

void SendMemoController::SetFileAttachID( const std::string& attachID )
{

	m_pFileUploadController->SetFileAttachID(attachID);
}
